# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'honey_format/version'

Gem::Specification.new do |spec|
  spec.name          = 'honey_format'
  spec.version       = HoneyFormat::VERSION
  spec.authors       = ['Jacob Burenstam']
  spec.email         = ['burenstam@gmail.com']

  spec.summary       = 'Makes working with CSVs as smooth as honey.'
  spec.description   = 'Proper objects for CSV headers and rows, convert column values, filter columns and rows, small(-ish) perfomance overhead, no dependencies other than Ruby stdlib.'
  spec.homepage      = 'https://github.com/buren/honey_format'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features|examples)/}) }
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.3.0'

  spec.add_dependency 'base64'
  spec.add_dependency 'csv'

  spec.add_development_dependency 'benchmark-ips'
  spec.add_development_dependency 'bundler', '> 1.10', '< 3'
  spec.add_development_dependency 'byebug'
  spec.add_development_dependency 'rake', '~> 12.3'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'simplecov'
end
